package com.unipi.talepis.demo021;

import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {
    SQLiteDatabase db;
    EditText editText1, editText2;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        editText1 = findViewById(R.id.editText1);
        editText2 = findViewById(R.id.editText2);
        db = openOrCreateDatabase("DemoStudent",MODE_PRIVATE,null);
        db.execSQL("CREATE TABLE IF NOT EXISTS Student(st_id TEXT, st_grade TEXT);");
    }

    public void insert(View view){
        db.execSQL("INSERT INTO Student values" +
                "('"+editText1.getText().toString()
                +"','"
                +editText2.getText().toString()
                +"');");
        Toast.makeText(this,"Done!",Toast.LENGTH_LONG).show();
    }

    public void selectstudents(View view){
        Cursor cursor = db.rawQuery("SELECT * FROM Student",null);
        if (cursor.getCount()==0)
            Toast.makeText(this,"No records found",Toast.LENGTH_LONG).show();
        else {
            StringBuffer buffer = new StringBuffer();
            while (cursor.moveToNext()){
                buffer.append(cursor.getString(0));
                buffer.append(",");
                buffer.append(cursor.getString(1));
                buffer.append("\n");
            }
            Toast.makeText(this,buffer.toString(),Toast.LENGTH_LONG).show();
        }
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()){
            case R.id.item1:
                Toast.makeText(this,"1 Pressed",Toast.LENGTH_LONG).show();
            case R.id.item2:
        }
        return super.onOptionsItemSelected(item);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.mymenu,menu);
        return super.onCreateOptionsMenu(menu);
    }
}
